from django.db import models

# Create your models here.
class Artist(models.Model):
    artist_name = models.CharField(max_length = 50)
    monthly_listeners = models.IntegerField(default = 0)
    birth_name = models.CharField(max_length = 50, null=True, blank=True)
    bio = models.TextField(max_length = 700, null=True, blank=True)

    def __str__(self):
        return self.artist_name

class Album(models.Model):
    album_name = models.CharField(max_length = 50)
    artist = models.ForeignKey(Artist, on_delete=models.CASCADE)
    description = models.TextField(max_length = 700)
    release_date = models.DateField("release date")
    label = models.CharField(max_length = 100, null=True, blank=True)
    song_count = models.IntegerField(default = 0)

    def __str__(self):
            return self.album_name
    
class Song(models.Model):
    song_title = models.CharField(max_length = 50)
    artist = models.ForeignKey(Artist, on_delete = models.CASCADE)
    album = models.ForeignKey(Album, on_delete = models.CASCADE)
    song_length = models.IntegerField(default = 0)
    music_video = models.BooleanField(null=True, blank=True)
    lyrics = models.TextField(max_length = 5000, null=True, blank=True)

    def __str__(self):
        return self.song_title
